#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Template
Summary:	HTML::Template - Perl module to use HTML templates from CGI scripts
Summary(pl.UTF-8):	HTML::Template - moduł Perla do obsługi szablonów HTML w skryptach CGI
Name:		perl-HTML-Template
Version:	2.94
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7b7683c3672d55fb922734ea1e9ba7e8
URL:		https://github.com/mpeters/html-template/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-IPC-SharedCache
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module attempts make using HTML templates simple and natural.

It extends standard HTML with a few new HTML-esque tags - <TMPL_VAR>,
<TMPL_LOOP>, <TMPL_INCLUDE>, <TMPL_IF> and <TMPL_ELSE>.  The file written
with HTML and these new tags is called a template.  It is usually saved
separate from your script - possibly even created by someone else!

Using this module you fill in the values for the variables, loops and
branches declared in the template.  This allows you to seperate design -
the HTML - from the data, which you generate in the Perl script.

%description -l pl.UTF-8
HTML::Template jest modułem pozwalającym na wykorzystywanie szablonów
HTML (i nie tylko) w skryptach CGI (a także w dowolnym innym
oprogramowaniu przy tworzeniu którego zachodzi potrzeba rozdzielenia
programu od wyglądu danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:TEST_SHARED_MEMORY=1 TEST_FILE_CACHE=1 %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/%{pdir}/%{pnam}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README templates scripts
%{perl_vendorlib}/%{pdir}/*.pm
%dir %{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*
%changelog
* Sat Aug 17 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTML-Template.git;a=log;h=master

* Sat Aug 17 2013 Jan Rękorajski <baggins@pld-linux.org> a1b8141
- updated files

* Sat Aug 17 2013 Jan Rękorajski <baggins@pld-linux.org> 4c7aefe
- up to 2.94

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 5d31e67
- up to 2.9

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2dccf96
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f838fd3
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> c1d5ca8
- rel 1

* Thu Aug 10 2006 Maciej Pijanka <agaran@pld-linux.org> f804bda
- up to 2.8, rel 0.1, builds here

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f9cd280
- formatting

* Fri Jul 09 2004 Adam Gołębiowski <adamg@pld-linux.org> dc9ee00
- updated to 2.7

* Wed Jun 02 2004 ankry <ankry@pld-linux.org> a692d98
- removed unnecessary R/BR, rel.++

* Fri May 07 2004 ankry <ankry@pld-linux.org> 2c7495c
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 4ca5456
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 9f1b61e
- cosmetics: unification

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 797ee7f
- license fixes and unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> f400c2f
- ported to new bconds

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 73658af
- cosmetics, unifications

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> a6fc528
- spaces -> tab

* Wed Aug 27 2003 Tomasz Pala <gotar@pld-linux.org> 8df8294
- fixed changelog trailer

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 348bee9
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> bbdcbbb
- massive attack: source-md5

